import envVars from "./config";
import { Sequelize } from "sequelize";

const sequelizeConnection = new Sequelize(
  envVars.dbName,
  envVars.dbUser,
  envVars.dbPassword,
  {
    host: envVars.dbHost,
    dialect: envVars.dbDriver,
    logging: false,
  }
);
export const testConnection = async () => {
  try {
    await sequelizeConnection.authenticate();
    console.log("Connection has been established successfully.");
  } catch (error) {
    console.error("Unable to connect to the database:", error);
  }
};
export default sequelizeConnection;
