import "dotenv/config";
import express from "express";
import dbInit from "./db/db_init";
import { testConnection } from "./db/seqConnection";
//import apiRouter from "./routes";

let init = async () => {
  testConnection();
  await dbInit();
  const app = express();

  app.use(express.json());
  //app.use(apiRouter);
  const port = process.env.PORT || 4000;
  app.listen(port, () => console.log(`Server listening on port: ${port}`));
  app.get("/", (req, res) => res.send("hello in server"));
};

init().then(() => {});
